#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>

@interface AppDelegate : NSObject {
    IBOutlet NSTableView *tableView;
    IBOutlet NSButton *showFullPDFPathButton;
    IBOutlet NSWindow *pdfDisplayWindow;
    IBOutlet NSWindow *mainWindow;
    IBOutlet PDFView *pdfView;
    
    NSString *currentProjectFilepath;
    NSDictionary *infoPlistDictionary;
    NSMutableArray *pdfFiles;
}

#pragma mark ======= Project File Management =======
- (IBAction)newProjectFile:(id)sender;
- (IBAction)saveProjectFile:(id)sender;
- (IBAction)saveProjectFileAs:(id)sender;
- (void)saveProject:(NSString*)filepath;
- (IBAction)openProjectFile:(id)sender;
- (void)openProject:(NSString*)filepath;

#pragma mark -

#pragma mark ======= PDF File management ========
- (IBAction)addPDFFile:(id)sender;
#pragma mark -

- (void)setupProject:(NSString*)projectPath;
- (IBAction)tableViewDoubleClick:(id)sender;

- (IBAction)buttonStateChanged:(id)sender;

@end
